|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QHideEvent Class Reference
[QtGui module]

The QHideEvent class provides an event which is sent after a widget is hidden. More...

     #include <QHideEvent>

Inherits QEvent.

- List of all members, including inherited members

### Public Functions

- QHideEvent ()

- 6 public functions inherited from QEvent

### Additional Inherited Members

- 1 property inherited from QEvent
- 1 static public member inherited from QEvent

## Detailed Description

The QHideEvent class provides an event which is sent after a widget is hidden.

This event is sent just before QWidget::hide() returns, and also when a top-level window has been hidden (iconified) by the user.

If spontaneous() is true, the event originated outside the application. In this case, the user hid the window using the window manager controls, either by iconifying the window or by switching to another virtual desktop where the window isn't visible. The window will become hidden but not withdrawn. If the window was iconified, QWidget::isMinimized() returns true.

See also QShowEvent.

## Member Function Documentation

### QHideEvent::QHideEvent ()

Constructs a QHideEvent.